Subject: bug#66050: Making perl-mode.el obsolete

From: Stefan Monnier <[email-masked]>
Date: Thu, 21 Sep 2023 10:20:02 -0400

> What would be a good way of collecting this information?

I'd say: use `cperl-mode` and report regressions compared to what
`perl-mode` used to do via `M-x report-emacs-bug`.

> In addition to what Jens Schmidt said, I can add that:
>
> 1. If I have something like:
> my $some_code = "";
> $some_code.= q(
> my $counter = 0;
> );
>
> If I put point at column 0 of the line "my $counter", and hit TAB, I get
> indentation in perl-mode.  I don't in cperl-mode.  I tried to look into
> options for making this work but I couldn't find anything.
>
> 2. While I'm typing the above string, I get messages about string/RE not
> found:
> End of ‘q( ... )’ string/RE not found: (scan-error Unbalanced parentheses
> 1092 1874)
> End of ‘q( ... )’ string/RE not found: (scan-error Unbalanced parentheses
> 1092 1918) [2 times]
> End of ‘q( ... )’ string/RE not found: (scan-error Unbalanced parentheses
> 1092 1962) [2 times]
>
> That's annoying.

Sounds like a bug, eh?

        Stefan